Skip Menu |
 

This queue is for tickets about the Module-Build CPAN distribution.

Report information
The Basics
Id: 6432
Status: resolved
Priority: 0/
Queue: Module-Build

People
Owner: Nobody in particular
Requestors: kedoco [...] covad.net
Cc:
AdminCc:

Bug Information
Severity: Critical
Broken in: (no value)
Fixed in: (no value)



Subject: Module::Build 0.25 t/runthrough.t test 14-20 failed
YAML-0.49_01 is installed; no useful info on the web; so what's the problem? gzip -dc Module-Build-0.25.tar.gz | tar -xvf - Module-Build-0.25/ Module-Build-0.25/Build.PL Module-Build-0.25/Changes Module-Build-0.25/INSTALL Module-Build-0.25/lib/ Module-Build-0.25/lib/Module/ Module-Build-0.25/lib/Module/Build/ Module-Build-0.25/lib/Module/Build/Base.pm Module-Build-0.25/lib/Module/Build/Compat.pm Module-Build-0.25/lib/Module/Build/Cookbook.pm Module-Build-0.25/lib/Module/Build/Platform/ Module-Build-0.25/lib/Module/Build/Platform/aix.pm Module-Build-0.25/lib/Module/Build/Platform/Amiga.pm Module-Build-0.25/lib/Module/Build/Platform/cygwin.pm Module-Build-0.25/lib/Module/Build/Platform/darwin.pm Module-Build-0.25/lib/Module/Build/Platform/Default.pm Module-Build-0.25/lib/Module/Build/Platform/EBCDIC.pm Module-Build-0.25/lib/Module/Build/Platform/MacOS.pm Module-Build-0.25/lib/Module/Build/Platform/MPEiX.pm Module-Build-0.25/lib/Module/Build/Platform/os2.pm Module-Build-0.25/lib/Module/Build/Platform/RiscOS.pm Module-Build-0.25/lib/Module/Build/Platform/Unix.pm Module-Build-0.25/lib/Module/Build/Platform/VMS.pm Module-Build-0.25/lib/Module/Build/Platform/VOS.pm Module-Build-0.25/lib/Module/Build/Platform/Windows.pm Module-Build-0.25/lib/Module/Build/PodParser.pm Module-Build-0.25/lib/Module/Build/PPMMaker.pm Module-Build-0.25/lib/Module/Build.pm Module-Build-0.25/Makefile.PL Module-Build-0.25/MANIFEST Module-Build-0.25/META.yml Module-Build-0.25/README Module-Build-0.25/SIGNATURE Module-Build-0.25/t/ Module-Build-0.25/t/basic.t Module-Build-0.25/t/common.pl Module-Build-0.25/t/compat.t Module-Build-0.25/t/extend.t Module-Build-0.25/t/install.t Module-Build-0.25/t/lib/ Module-Build-0.25/t/lib/ModuleBuildOne.pm Module-Build-0.25/t/MANIFEST Module-Build-0.25/t/manifypods.t Module-Build-0.25/t/notes.t Module-Build-0.25/t/runthrough.t Module-Build-0.25/t/Sample/ Module-Build-0.25/t/Sample/bin/ Module-Build-0.25/t/Sample/bin/sample.pl Module-Build-0.25/t/Sample/Build.PL Module-Build-0.25/t/Sample/lib/ Module-Build-0.25/t/Sample/lib/Sample/ Module-Build-0.25/t/Sample/lib/Sample/Docs.pod Module-Build-0.25/t/Sample/lib/Sample/NoPod.pm Module-Build-0.25/t/Sample/lib/Sample/Script.PL Module-Build-0.25/t/Sample/lib/Sample.pm Module-Build-0.25/t/Sample/MANIFEST Module-Build-0.25/t/Sample/META.yml Module-Build-0.25/t/Sample/script Module-Build-0.25/t/Sample/test.pl Module-Build-0.25/t/signature.t Module-Build-0.25/t/versions.t Module-Build-0.25/t/xs.t Module-Build-0.25/t/XSTest/ Module-Build-0.25/t/XSTest/Build.PL Module-Build-0.25/t/XSTest/Changes Module-Build-0.25/t/XSTest/empty.h Module-Build-0.25/t/XSTest/lib/ Module-Build-0.25/t/XSTest/lib/XSTest.pm Module-Build-0.25/t/XSTest/lib/XSTest.xs Module-Build-0.25/t/XSTest/MANIFEST Module-Build-0.25/t/XSTest/test.pl cd Module-Build-0.25/ perl Build.PL Checking whether your kit is complete... Looks good Creating new 'Build' script for 'Module-Build' version '0.25' perl Build test lib/Module/Build/Base.pm -> blib/lib/Module/Build/Base.pm lib/Module/Build/Platform/Amiga.pm -> blib/lib/Module/Build/Platform/Amiga.pm lib/Module/Build/PPMMaker.pm -> blib/lib/Module/Build/PPMMaker.pm lib/Module/Build/Platform/RiscOS.pm -> blib/lib/Module/Build/Platform/RiscOS.pm lib/Module/Build/Cookbook.pm -> blib/lib/Module/Build/Cookbook.pm lib/Module/Build/Platform/darwin.pm -> blib/lib/Module/Build/Platform/darwin.pm lib/Module/Build/Platform/Default.pm -> blib/lib/Module/Build/Platform/Default.pm lib/Module/Build/Platform/Windows.pm -> blib/lib/Module/Build/Platform/Windows.pm lib/Module/Build/Compat.pm -> blib/lib/Module/Build/Compat.pm lib/Module/Build/Platform/aix.pm -> blib/lib/Module/Build/Platform/aix.pm lib/Module/Build/Platform/EBCDIC.pm -> blib/lib/Module/Build/Platform/EBCDIC.pm lib/Module/Build/Platform/MacOS.pm -> blib/lib/Module/Build/Platform/MacOS.pm lib/Module/Build/Platform/MPEiX.pm -> blib/lib/Module/Build/Platform/MPEiX.pm lib/Module/Build/Platform/VMS.pm -> blib/lib/Module/Build/Platform/VMS.pm lib/Module/Build/Platform/os2.pm -> blib/lib/Module/Build/Platform/os2.pm lib/Module/Build/PodParser.pm -> blib/lib/Module/Build/PodParser.pm lib/Module/Build/Platform/cygwin.pm -> blib/lib/Module/Build/Platform/cygwin.pm lib/Module/Build/Platform/VOS.pm -> blib/lib/Module/Build/Platform/VOS.pm lib/Module/Build.pm -> blib/lib/Module/Build.pm lib/Module/Build/Platform/Unix.pm -> blib/lib/Module/Build/Platform/Unix.pm t/basic.........ok t/compat........ok t/extend........ok t/install.......ok t/manifypods....ok t/notes.........ok t/runthrough....NOK 14# Test 14 got: 'Can't locate object method "new" via package "YAML::Node" at /Users/pauldriedgerphd/Desktop/Perl_Modules_unpacked_not-installed/Module-Build-0.25/blib/lib/Module/Build/Base.pm line 1927. ' (t/runthrough.t at line 64) # Expected: '' # t/runthrough.t line 64 is: ok $@, ''; t/runthrough....NOK 15# Failed test 15 in t/runthrough.t at line 67 # t/runthrough.t line 67 is: ok -e File::Spec->catdir('Sample-0.01', 'blib'); t/runthrough....NOK 16# Test 16 got: 'Can't locate object method "new" via package "YAML::Node" at /Users/pauldriedgerphd/Desktop/Perl_Modules_unpacked_not-installed/Module-Build-0.25/blib/lib/Module/Build/Base.pm line 1927. ' (t/runthrough.t at line 70) # Expected: '' # t/runthrough.t line 70 is: ok $@, ''; t/runthrough....NOK 17# Failed test 17 in t/runthrough.t at line 73 # t/runthrough.t line 73 is: ok -e File::Spec->catdir('Sample-0.01', 'lib'); t/runthrough....ok 18/28Use of uninitialized value in <HANDLE> at t/runthrough.t line 81. readline() on unopened filehandle at t/runthrough.t line 81. t/runthrough....NOK 19# Test 19 got: <UNDEF> (t/runthrough.t at line 82) # Expected: '/Module::Build version 0.25/' # t/runthrough.t line 82 is: ok $contents, "/Module::Build version ". $build->VERSION ."/"; t/runthrough....NOK 20# Test 20 got: 'Can't locate object method "new" via package "YAML::Node" at /Users/pauldriedgerphd/Desktop/Perl_Modules_unpacked_not-installed/Module-Build-0.25/blib/lib/Module/Build/Base.pm line 1927. ' (t/runthrough.t at line 88) # Expected: '' # t/runthrough.t line 88 is: ok $@, ''; t/runthrough....FAILED tests 14-17, 19-20 Failed 6/28 tests, 78.57% okay t/signature.....skipped all skipped: Skipping unless $ENV{TEST_SIGNATURE} is true t/versions......ok t/xs............ok Failed Test Stat Wstat Total Fail Failed List of Failed ------------------------------------------------------------------------------- t/runthrough.t 28 6 21.43% 14-17 19-20 1 test skipped. Failed 1/10 test scripts, 90.00% okay. 6/188 subtests failed, 96.81% okay. Kevin Doyle, Ph.D
From: Ken Williams <ken [...] mathforum.org>
Subject: Re: [cpan #6432] Module::Build 0.25 t/runthrough.t test 14-20 failed
Date: Wed, 26 May 2004 18:03:29 -0500
To: bug-Module-Build [...] rt.cpan.org
RT-Send-Cc:
Download (untitled) / with headers
text/plain 316b
On May 26, 2004, at 3:28 PM, Guest via RT wrote: Show quoted text
> > YAML-0.49_01 is installed; no useful info on the web; so what's the > problem?
I believe that's the problem - YAML 0.49_01 is a beta version, and broken (or at least not backward compatible). Any chance of downgrading to the latest stable version? -Ken
Download (untitled) / with headers
text/plain 266b
[kedoco@covad.net - Wed May 26 21:21:40 2004]: Show quoted text
> Thank you so much for your help. Downgrading to YAML 0.35 did the > trick and the Module is now installed.
Great - I'll change the dependency so that it wants a minimum version of 0.35 and a maximum of 0.49. -Ken


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.